# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

i18n_menu_item = items.MenuItem(
    # GENERAL
    _('I18n'), 
    reverse('admin:app_list', kwargs={'app_label': 'i18n'}),
    children=[
        items.MenuItem(_('I18n'), '',
            children=[
                items.MenuItem(_('Add I18n'), reverse('admin:i18n_i18n_add',)), 
                items.MenuItem(_('I18n List'), reverse('admin:i18n_i18n_changelist',) ), 
            ]
        ),
    ]
)


register_menu(i18n_menu_item, 'jmb.i18n')
